import { PlanDefinitionAction, canonical, uri } from 'fhir';
import { BackboneElementBuilder } from './backbone-element-builder';
/**
 * Class representing a FHIR BackboneElement builder
 * FIXME: Incomplete
 */
export declare class PlanDefinitionActionBuilder extends BackboneElementBuilder {
    /**
     * The PlanDefinitionAction that is being built
     * @protected
     * @type { PlanDefinitionAction }
     * @ignore
     */
    protected element: PlanDefinitionAction;
    /**
     * Creates a new FHIR PlanDefinitionActionBuilder
     */
    constructor();
    /**
     * Sets a copy of an existing PlanDefinitionAction for this PlandefinitionActionBuilder to allow for manipulating, or interacting with, the
     * planDefinitionAction through this PlandefinitionActionBuilder
     * If no argument is provided, a new PlanDefinitionAction will be generated
     * @param { PlanDefinitionAction } action - The planDefinitionAction to set
     * @returns { PlandefinitionActionBuilder } The builder
     * @override
     */
    use(action?: PlanDefinitionAction): this;
    /**
     * Returns the definitionCanonical-field of the planDefinitionAction
     * @returns { canonical } The code-field
     */
    getDefinitionCanonical(): canonical | undefined;
    /**
     * Sets the definitionCanonical-field of the planDefinitionAction
     * If no argument is provided, the field will be removed
     * @param { canonical } canonical - The value to be set in the definitionCanonical-field
     * @returns { PlanDefinitionActionBuilder } - The builder
     */
    setDefinitionCanonical(canonical?: canonical): this;
    /**
     * Returns the definitionUri-field of the planDefinitionAction
     * @returns { uri } The definitionUri-field
     */
    getDefinitionUri(): uri | undefined;
    /**
     * Sets the definitionUri-field of the planDefinitionAction
     * If no argument is provided, the field will be removed
     * @param { uri } uri - The value to be set in the definitionUri-field
     * @returns { PlanDefinitionActionBuilder } - The builder
     */
    setDefinitionUri(uri?: uri): this;
    /**
     * Returns whether or not the planDefintiionAction provided as an argument is in conflict with the planDefinitionAction used in the builder
     * @param { PlanDefinitionAction } action The planDefinitionAction to test for conflict
     * @returns { boolean } Whether it is in conflict
     * @override
     */
    conflictsWith(action: PlanDefinitionAction): boolean;
    /**
     * Make a new object that implements a FHIR PlanDefinitionAction
     * @returns { PlanDefinitionAction } - an object that implements FHIR PlanDefinitionAction
     * @override
     */
    protected make(): PlanDefinitionAction;
    /**
     * Builds and returns the planDefinitionAction
     * @returns { PlanDefinitionAction } - the planDefinitionAction
     * @override
     */
    build(): PlanDefinitionAction;
}
