import { Basic, CarePlan } from 'fhir'
import { CarePlanBuilder } from '../index'

/**
 * Method for extracting all ThresholdSets from a CarePlan
 * @param { CarePlan } carePlan
 */
export const extractThresholdSetsFromCarePlan: (
  carePlan: CarePlan
) => Basic[] = (carePlan: CarePlan) => {
  const cpBuilder = new CarePlanBuilder().use(carePlan)
  return cpBuilder
    .getContained()
    .filter(contained => contained.resourceType === 'Basic') as Basic[]
}
